Release 0.3.9:
--------------

Enhancements:
- Extend the XML configuration feature:
  * a user can define its own XSLT engine with a user-defined command,
  * the rules about how the images shall be converted can be overwritten
    (Debian bug #837168).
- Allow an xref to some informal elements like <para> or <simpara>. It behaves
  like DocBook FO does.

Release 0.3.8:
--------------

Enhancements:
- Add the endnotes feature: the <footnote>s can be turned to be end notes in
  the printed document. Some parameters are added to configure the endnotes
  display.
- Add an XML configuration file format: it replaces the simple text
  configuration format. It gives a more consistent setup and more possibilities
  to configure dblatex, like overriding the commands used to convert images.
- Add the parameter figure.default.align to change the default <figure> and
  <informalfigure> alignment
- Add a workaround to fix a Xindy bug appearing when ranges of an index
  overlap.
- Add a workaround to fix the incompatibilities between Xindy and the new
  hyperref when hyperindex is on.
- Add the possibility to build a document from a tex file that includes
  other tex files.
- Allow a <segmentedlist> to be formatted as a table if the parameter
  segmentedlist.as.table is set to '1' or if the list-presentation Processing
  Instruction is set to 'table' (Karl O. Pinc patch). Other PIs can be used if
  a segmentedlist is formatted as a table.

Other features:
- Internal refactoring of Processing Instructions.
- Add a 'pdfscan.py' script to find out the fonts and their size used in a PDF
  file and find out how the PDF is built.
- Documentation: add references to the supported Processing Instructions

Bug fixes:
- Fix a bug when passing a dialect language (e.g. '[5.2]Lua')
  to <programlisting>
- Link the 'nn' lang to 'norwegian' for Xindy.
- Fix the alignment of <imagedata> that is now handled even without an explicit
  viewport
- Take into account the <caption> align attribute.
- Fix <seealso> in <indexterm>.
- Fix a bug about ordered lists that loose their counter in <informaltable>s.
- Put the <dedication>s in the book front matter (was in the body matter).
- Add the table.continue.caption parameter to fix the hardcoded 'continued'
  caption used for tables covering several pages (Ricard Mones patch)
- Fix SF bug #102: the figure paths used in windows.
- Fix SF bug #111: adapt the file paths used in windows by saxon or xsltproc.
- Fix dbk_locale.sty to be an ASCII file.
- Correctly strip spaces for docbook 5 elements.


Release 0.3.7:
--------------

- Fix Debian bug #766945: catch 'inskscape' not installed (Andreas Hoenen patch)
- Fix Debian bug #792898: improve the PDF metadata setup
- Fix Debian bug #684772 and SF bug #85: section @label is used to force
  the section counter
- Fix Debian bug #684772: a chapter with an empty @label is not numbered
- Fix Debian bug #793077: allow to put a figure anchor at the top even if the
  caption is at the bottom, thanks to the parameter figure.anchor.top.
- Add the parameters body.font.family, sans.font.family, and
  monospace.font.family to mimic FO parameters, for xetex font setup


Release 0.3.6:
--------------

- Adapt the debug env_tex script for Windows
- Make dblatex work with Xindy, for xetex and pdftex backends. Xindy is selected
  through the latex.index.tool parameter, and it's sorting is aware of the
  language used that can be set through the latex.index.language parameter.
  This is an answer to the Debian bug #756386.
- Allow the Texpost script to be a python plugin.
- Add the beginpage.as.pagebreak parameter to be able to inhibit the current
  behaviour.
- Fix a bug in index escaping: '"' was not escaped.
- Fix a bug in <listitem> to prevent brackets side effects.
- Quick fix for <screenshot> SF bug #74.
- Fix SF bug #110.
- Fix Debian bug #771473 and #684393.


Release 0.3.5:
--------------

- Fix an HTML table bug when no <colgroup> or <col> is specified
- Fix an HTML table bug when cellpadding is expressed in percentage
- Fix Debian bug #720624 to have more greek letters correctly translated
- Fix bug #108 so that setup.py works even if intall-layout not supported
- Fix bug #107 to be compliant with frenchb v2.5 to remove shorthands
  in listings
- Fix bug #106 to have equation label localized
- Fix bug #104 to have listings correctly displayed in <listitem>s
- Fix bug #103 to have indexes correctly working in db2latex style
- Fix Debian bug #682901 to have with XeTeX proper endash in indexes
- Fix Debian bugs #682936 and #684391 to support Norwegian Bokmål through
  lang='nb'
- Fix Debian bug #683166 (SF bug #3553962/#98) to avoid chapters erroneously
  included in parts.
- Fix Debian bug #684393 babel setup to allow quote chars for lang='nn'
- Adapt URL to work with texlive >= 2009.
- Some fixes to be able work with Saxon
- Improve setup.py to detect the installed texlive version only on
  manual install.
- Include the package 'ucs' and configure listings to work with pdftex and
  UTF-8 characters.


Release 0.3.4:
--------------

- Fix a bug in the missing characters display.
- Fix the global template to actually insert a backmatter tag before backmatter
  elements.
- Fix bug #3520152 by changing a template xpath (looks like a libxslt
  limitation).
- Improve the verbatim block display to be able to scale the block width to the
  page width.
- Allow latex instructions within verbatim blocks through Processing
  Instructions.
- Improve the setup script to be close to the debian install rules.
- Improve the hyphenation of the inlined literal elements.
- Add the parameter example.float.type to give the possibility to have
  <example> not floating. The attribute 'floatstyle' is also taken into
  account.
- Add the parameter hyphenation.format to specify the inlined format types
  that must be hyphenated. It replaces the more limited monoseq.hyphenation
  parameter.


Release 0.3.3:
--------------

- Fix incomplete image path conversion when subfigures are used.
- Fix unicode listings limitation to handle characters greater than 255.
- Fix <abstract> environment to prevent from page counter reset.
- Fix the <literallayout> limitations by using the same implementation than
  <screen>.
- Fix a texlive 9 french babel and enumitem incompatibility.
- Fix to be robust to URL encoded image paths, and to non-latin1 paths.
- Fix missing cross-reference to <sidebar> and <qandaset>.
- Fix the <sidebar> box width to the actual context witdh.
- Fix a french babel bug (unexpected active chars) when used with XeTeX.
- Fix Debian bug #627501 to tell the priority policy of --xsl-user option.
- Fix Debian bug #632967 to return a non-null code when the compilation fails.
- Fix Debian bug #629514 to have draft watermark with XeTeX backend.
- Fix Debian bug #634563 to have safe pdftitle content (no images).
- Fix setup.py in order to work under Windows.
- Fix the HTML table support to correctly render the cells elements.
- Fix the HTML table support to correctly nested tables.
- Fix the Olink support to allow database user-specific renderings like italics
  for <i> tags. Reuse of the DocBook Project implementation.
- Fix a setup failure that made the listings UTF-8 support failed 
  (extendedchars to set to "true").
- Fix --xslt-opts to be able to pass several arguments by using quotes
- Set the TexLive version to 2009 by default.
- Update to new Debian Error Handler API.
 
Improvements sponsored by Freexian (http://www.freexian.com) :

- Fix #3191550. Remove hard-coded paper size and add some parameters for page
  layout setup:
  * Parameters to define page sizes and margins.
  * Parameters to have crop marks for pre-press PDF output.
- Add the parameters literal.environment and literal.extensions to allow the
  user define its own listing environment.
- Add the parameter latex.engine.options to be able to pass options to the
  TeX engine backend.
- Print out warnings about the characters not handled by the selected fonts.
- Image display improvements/fixes:
  * Avoid unexpected paragraph indentation when displaying images.
  * Strip spurious spaces between subfigures when @role='flow.inline'
  * Prevents from empty tex subcaptions when no subfigure <caption> is defined.
- Add the ability to format <ulink> as a block when @type='block'.
- Pass @role to the latex sidebar environment.
- Add the literal.class parameter used when <literallayout> class attribute is
  not set. Default is 'monospaced'.
- Add some @role to format literal elements, and literal.role parameter for
  default role:
  * Wrap: wrap lines when longer than text width (default)
  * Overflow: do not wrap lines ; long lines overflow to the left
  * Scale: automatically scale a listing to have its lines fit the page width
           The special feature can be disabled with literal.extensions=0


Release 0.3.2:
--------------

- Add feature request #2052157 to have HTML table support
- Full support of the --quiet option
- Improve setup.py to make package building easier in a development environment
- Improve the document title formatting, to render <superscript> for example.
- Fix debian bug #629110 to work around an appendix package limitation with
  xetex
- Fix bug #3094120 to work in paranoid mode (required for TexLive 2010)
- Fix debian bug #623590 to format elements like <emphasis> contained
  in <filename>.
- Fix a bug that prevented from putting and index at the highest level when
  preceded by a <part>.

  Release 0.3.1.1:
  ~~~~~~~~~~~~~~~~
- Add feature request #2999505 to be able to pass a user index style file
- Improve setup.py to be able to build and distribute a dblatex egg package 
- Fix bug #2941472: print out the procedure title
- Fix a python deprecation warning in setup.py
- Fix a bug in setup.py to install correctly the XHTML documentation
- Fix a bug in sgmtag.xsl to have the right font type for <sgmltag>


Release 0.3.1:
--------------

- Fix bug in referencing to external books when xref.hypermarkup=1.
- Fix bug #2969329 to have sub-tables working
- Fix bug #3006458 to support the &#x21B5; Unicode character
- Fix bug #3038067 md5 python module deprecation warning
- Fix bug #3039592 to pass correct parameters to inkscape when converting SVG
- Fix bug #3072636 to process preface/info/title
- Fix bug #3137026 to remove a babel setup side effect on tables
- Fix Debian bug #609374 to have nested quotes working
- Fix Debian bug #617842 to write HTML documentation in UTF-8 format
- Fix some documentation errors
- Fix <anchor> used in bibliography mode
- Fix <qandadiv> title support to be robust to a missing title element
- Fix Debian bug #622357 to make <filename> more robust in <footnote>
- Add the parameters:
  * linenumbering.scope: which templates where linenumbering parameters apply
  * linenumbering.default: default linenumbering attribute value
  * linenumbering.everyNth: indicates which lines to number in verbatim blocks
- Improve tables to support the tabularx environment (see documentation).
  Add the parameter:
  * table.default.tabstyle: default tabstyle to apply when no tabstyle attribute
    is defined.
- Add a not fully implemented --quiet option


Release 0.3:
------------

- Make the latex style more robust to latex classes without abstract
  environment.
- Partially Fix bug #2953261 to render elements under <methodsynopsis>
- Fix bug #2969329 to allow a <screen> in an <entrytbl> (Pulchart's patch
  partially applied).
- Fix bug #2820728 to correctly render caption elements.
- Fix bug #2967024 to make cmdsynopsis working for DocBook 5.
- Fix bug #2957897 to render the chapter/info/title node.
- Fix Debian Bug #563659: adapt the url template behaviour to the installed
  Texlive version (2007 or 2009).
- Apply the two Andreas's debian errorhandler patches (replace an obsoleted
  method).
- Apply the Debian bug #570582 patch from Andreas.
- Change the segmented list implentation to workaround a bug in processing DB5
  documents (use the Docbook Project implementation).
- Add the default.table.width parameter (equivalent to the Docbook Project
  parameter).
- Allow an autowidth setup local to a table through a Processing Instruction.
- Convert latex logos to PDF-1.4 format supported by XeTeX.
- Add parameter biblioentry.numbered to have bibliographic references numbered.
- Apply bug #2891018 patch to improve biblio.xsl
- Fix a bug to compute correctly the relative paths of <imagedata> filerefs.
  Apply the same templates than the DocBook Project (use of @xml:base)
- Make xsltproc.py compatible with versions providing --xincludestyle
  or not (bug introduced with 0.2.12).
- Fix bug #2955605 in setup.py that makes install crash under windows
  (bug introduced in 0.2.10).
- Fix bug to handle correctly a relative XSL customization file path
  (use of the -p option).
- Fix a bug that merged the example and equation floats in the same TOC
- Add hyperlink to <xref> to books.
- Move the book ID anchor so that an hyperlink to this anchor points to the 
  beginning of the book and not after the Table of Content.
- Change some output messages so that they don't appear as error messages.


Release 0.2.12:
---------------

- Add support for feature #2836168 with the xref.hypermarkup parameter that
  wraps the whole xref markup with an hyperlink.
- The <index> section can be unnumbered when the new parameter index.numbered
  is set to 0.
- <bibliography> sections can be unnumbered when the new parameter
  bibliography.numbered is set to 0. The parameter
  bibliography.tocdepth is also given.
- Basic <biblioref> support added. The specific attributes are not handled.
- Allow the appendices to be followed by other sections.
- Fix indexterm bug in titles.
- Apply patch #2821475: add a converter to transform SVG graphics with
  Inkscape (thanks to David Necas)
- Fix bug #2821901: <reference> headings to the right level
- Fix bug #2818215: square brackets must be protected in <member>s
- Fix bug #2819592: references working with xml:id (DocBook 5 compatibility)
- Fix Debian bug #533332: wrong page numeration in PDF viewers with XeTeX
  backend
- Fix Debian bug #528964: linebreaks preserved in formatted verbatim
  environment


Release 0.2.11:
---------------

- Improve the <set> support: dblatex can build all the PDF files (one per
  book) and the package xr is used to make cross-references between the books.
- Improve the xetex font switch macros (experimental fontconfig support)
- Format the elements contained in <ulink>s (not only text)
- Add some hook to external error handlers +
  Add the Debian error handler in the repository (the maintainer is still
  A. Hoenen)
- Change verbatim implementation in order to be able to easily add new
  elements embeddable in <programlisting>s
- Optimize the pdftex backend by supporting the -draftmode option
  (experimental)
- Fix documentation bug #1997998.
- Fix bug #1831383: use \ref*{} to display <xref> in a TOC or LOT
- Fix Debian bug #528849 about the <refclass> rendering, add the
  refclass.suppress parameter, and fix the <refpurpose> dash separator
  (use of &mdash; instead of &ndash;)
- Fix the bug where \nolinkurl{} strips the spaces
- Fix a bug annotation
- Glossary headings are now rendered like refentry headings
  (add glossary.numbered and glossary.tocdepth parameters)
- Add and modify scripts to synch SF CVS and Mercurial repositories 


Release 0.2.10:
---------------

- Fix Debian bug #525692: remove babel shorthand for russian
- Fix Debian bug #514932: apply XSLT options when building listing
  (thanks to W. Borgert's patch).
- Fix Debian bug #499500: apply the A. Hoenen patch
- Fix bug #2412650: make curly braces more robust in <indexterm>s.
- Fix bug #2393435: handle <table> @pgwide for two column mode.
- Fix bug #2381306: make <ulink>s more robust in <term>
- Fix bug #2058771: use \ensuremath{} to make equations robust.
- Fix bug #1987025: use @xml:id when provided to make labels.
- Fix bug #1975259: apply general title template to handle escaped chars in
  qandaset titles.
- Fix bug in handling @xreflabel in <xref>
- Fix annotation bug: add a correct font setup to each annotation tex file
- Fix some character translations: backtick (`), degree symbol
- Fix SGML to XML conversion through osx
- Use Info/title to render qansaset headings
- Use \ensuremath{} to make latin1 from UTF8 conversion more robust
- Add the parameters:
  * doc.layout: configure the overall document layout
    (deciding if it contains a coverpage, a toc, a frontmatter etc.)
  * variablelist.term.separator,
  * refentry.generate.name,
  * ulink.show (mechanism extended with @xrefstyle),
  * ulink.footnotes.
- Remove useless parameters (rely on localized gentext instead):
  * refnamediv.title,
  * refsynopsis.title,
- Move the 'qandaset.defaultlabel' parameter to 'qanda.defaultlabel' in
  order to be common with the DocBook Project XSL parameter.
- By default, a document subset (i.e. no <article> or <book> root element
  is no more wrapped with an <article>. No more unexpected cover page and
  front matter.
- Allow a tex equation in <alt> without latex math mode delimiters in both
  <equation> and <inlineequation>.
- Add texmath PI in <alt> in order to avoid automatic math mode wrapping
- Make XeTeX support more mature (but still experimental).
- Change the documentation structure.


Release 0.2.9:
--------------

- Fix bug #1838293: <dedication> and <colophon> support where <title>s
  are optional.
- Fix bug #1833581 (biblio elements).
- Fix bug #1832623 (<userinput> rendering in normal mode).
- Fix bug #1769020 (date in <biblioentry>).
- Fix bug #1745318 with a minipage in \author{}.
  Fix the similar debian bug #465221.
- Fix bug #1642442 (missing unicode characters).
- Fix debian bug #466162 (German localization).
- Fix debian bug #461919 (rendering abstract titles).
- Fix debian bug #459474 (simplesect in appendix).
- Fix unicode character encoding in TeX equations in <alt>.
- Fix bug that transforms "<<" to french quotation marks.
- Fix spurious spaces in inline graphics.
- Fix to have frenchb 2.x support (option macros changed).
- Add refentry.numbered and refentry.tocdepth parameters to have the
  refentry titles numbered (default) or not.
- Add <partintro>s handling. 
- Add linking to <areaset>.
- Add <emphasis> rendering in <programlisting> and <screen>.
- Add some logic to handle the graphics in equations.
  Add the alt.use parameter.
- Add some XeTeX support. One can use -b xetex to compile with
  xelatex. Add the xetex.font parameter too.
- Add the "angle" attribute to the dblatex Processing Instruction.
  When set in an <imageobject>, you can rotate the image to the
  required angle.


Release 0.2.8:
--------------

- Fix <userinput> in <programlisting> (#1832623)
- Fix <literal> in <example> title (#1831391)
- Fix <foreignphrase> in <example> title (#1831385)
- Fix <indexterm> in <programlisting> (#1831374)
- Fix UTF-8 encoding in olink target.db data (like <ttl>)
- Fix <colophon> after the index. (Debian bug #447607)
- Fix <title> in <sidebar>s. (Debian bug #447616)
- Fix stuck <holder>s in <copyright> (Debian bug #446871)
- Fix <question> italic bug. (#1800469)
- Fix an <xref> bug to a biblioentry.
- Fix setup.py to allow the --skip-build option. (#1790229)
- Fix the portugese babel loading. (#1797774)
- Fix <xref> to a <part>.
- Fix some missing parameters used by gentext.xsl.
- Fix a weird behaviour with \nolinkurl{} used in a table cell.
- Fix the page.citation mode shown when $insert.xref.page.number = 'yes'.
- Fix missing punct.honorific parameter.
- Fix the <refentry> sections to the right nested level. (#1792996)
- A list preamble (before the list items) is now processed. (#1783455)
- Add lastpage.sty under latex/misc, for MikTeX distribs.
- Add some table <entry> consistency check.
- Add the parameters: equation.default.position and example.default.position.
- Add the parameter: cjk.font.
- Add pdftitle and pdfauthor in PDF document infos.


Release 0.2.7:
--------------

* Improvements:
  - Xref completely refactored to work with the common
    DocBook Project XSL stylesheets version 1.72. 
  - Olink and xrefstyle support added.

* Minor changes:
  - dblatex accepts input data from stdin.
  - newtbl.bgcolor.thead added, to change the default table header color.
  - Italian translation added.
  - Several user stylesheets (option -p) can be passed.
  - In the docbook styles, the front matter page numbers are now in roman.
  - <biblioid> can be used instead of <pubsnumber> in the doc info,
    mostly for docbook 5 files.
  - monoseq.small parameter added (Michael Smith's patch)

* Bug fixes:
  - Fix bug with german babel (e.g '"S' becomes 'SS').
  - Fix Author listing bug.
  - Fix <screen> in <footnote>s, in simple cases.
  - Fix footmisc package inclusion bug (must be loaded before hyperref).
  - Fix bibliomixed/bibliomset text bug (tex characters must be escaped).
  - Fix xref to a callout.
  - Fix the use of <alt> in equations: when <alt> is used, the other
    elements must not be processed. Parameter tex.math.in.alt added
    to choose if <alt> should be used by default.
  - Fix empty MathML equation case.
  - Fix bug #1778655: added anchors in <para> having an id
  - Fix bug #1777645: footnotes with id handled correctly
  - Fix bug #1777575: an <indexterm> between paragraphs don't stick the
    paragraphs anymore.
  - Fix bug #1777364: <thead> no more duplicated in nested tables.
  - Fix bug #1745309: <author>s under docinfo are not concatenated.
  - Fix the last page bug shown with a recent texlive
  - Fix bug about changebars for consecutive paragraphs
  - Ulinks shown as hot links in biblio enties.
  - Fix index bug to front matter pages (when front page numbers are in
    roman). 


Release 0.2.6:
--------------

* Minor improvements:
  - Headings code refactored.
  - Unnumbered sections (e.g. preface) can be put in TOC. Add the parameters:
    * preface.tocdepth
    * dedication.tocdepth
    * colophon.tocdepth
  - Basic <itermset> support
  - Basic <beginpage> support (start a new page only at the current page)
  - Parameter monoseq.hyphenation added to handle SF bug #1727482
  - Add draft.watermark={0|1} and draft.mode=maybe, allowing to deduce the
    draft mode from the @status='draft' attribute, and allowing to print
    the "DRAFT" text as a watermark on every page. (thanks to Colin Marquardt's
    patch)

* Bug fixes:
  - Fix display of several <glossseealso>s in <glossentry>
  - Fix <para> output in list items (<listitem>, <step>)
  - Fix unicode bug in <step>/<title>s
  - Fix <footnoteref> bug in <table>s (thanks to Colin Marquardt's patch)
  - Fix setup.py to make bdist_rpm work (thanks to Tim Fuehner's patch)
  - Fix some missing characters (euro, etc.) by using the pifont and textcomp
    packages.
  - Fix unicode bug in some verbatim environment.
  - Fix bug #1727472 (glossentry without acronym has no line break).
  - Fix URL bug under Windows. (dbtex.py)
  - Add some missing greek symbols in unicode mapping. (unient.py)


Release 0.2.5:
--------------

* Improvements:
  - Basic support for CJK languages. Use the CJK package and the cyberbit fonts.
    The HLatex package is not supported yet.
  - Support native UTF-8 latex compilation, thanks to the ucs package.
  - Add the -s, --texstyle option.
  - Preamble handling refactored. The expected benefit is to make dblatex more
    customizable.
  - Drop the docbook style 'article' or 'report' option. It is up to the style
    to find out if it is an article or not (if needed).
  - Support @valign combined with @morerow.
  - Better URL handling in tables (special characters like '%').
  - Better dblatex package precedence, to ensure that the dblatex specific
    packages have always precedence over the system wide package.
  - Figure captions take into account the inline docbook elements.
 
* Bug fixes:
  - Restore the -r, --texpost option.
  - Fix use of compact itemizes in french.
  - Fix --tmpdir bug for relative paths.
  - Fix a small synopsis bug.
  - Fix SF bug #1672862. Change the parsing separators to some non-human
    writable pattern.
  - Fix the block display of MathML equations put in an <informalequation>.
  - Fix <programlisting> latex translation bug.
  - Remove unexpected space strippings in <title>s.
  - Fix bug about locale formatting (in l10n.xsl).


Release 0.2.4:
--------------

* Minor improvements:
  - Basic DocBook 5 support (namespace stripping)
  - More consistent console output (use of logging)
  - Add general parser/encoding mechanism (to fix <programlisting> encoding
    troubles)
  - Better <calloulist> item indentation. The calloutlist.style parameter is
    provided to change the rendering.

* Bug fixes:
  - <releaseinfo> displayed in a biblioentry.
  - draft.mode parameter more consistent.
  - <biblioid> support in biblioentry.
  - Fix regression bug (introduced in 0.2.3): ps building possible again
  - Fix bug about image conversion combined with -bdvips
  - Indexterm taken into account when in <refmeta>
  - Use of subprocess instead of os.system() to have a portable latex
    compilation.
  - Add -R0 to dvips to work with 5.95b (thanks to Andreas Hoenen)
  - Fix URL UTF-8 to Latin1 encoding
  - Fix bug in dumping latex errors when latex fails
  - <programlisting> characters now encoded to Latin1
  - Basic <highlights> support


Release 0.2.3:
--------------

* Improvements:
  - Experimental annotation support (enabled when annotation.support=1)
  - Add imageobjectco.hide={0|1} to hide the callout numbers on the image.

* Setup changes and fixes:
  - Check the available XSLTs (xsltproc is not required if 4Suite
    is available) (SF Bug #1617458).
  - Avoid optional package dependency (unicode.sty)
  - Add the --use-python-path to use the path of the python interpreter that
    runs setup.py, instead of relying on env to locate python
    (thanks to Max Horn, the Fink packager)
  - Fix the wrapper script building when --root is used
    (thanks to Max Horn, the Fink packager)

* Minor changes:
  - When <releaseinfo> is set, but empty, the box in the header is removed.
  - Add doc.toc.show={0|1} to let user skip the TOC.
  - Add draft.mode={'yes'|'no'} to print or not the <releaseinfo> content in the
    header of each page (SF Request #1600886).

* Bug fixes:
  - Some locale elements translated to iso-latin1.
  - Locale mappings updated for 'de' and 'es'.
  - Spanish babel setup added, to workaround some of the bugs introduced by
    spanish.
  - Load babel before the docbook style, to work around the babel/3875 bug.
  - Xref to a term containing empty lines.
  - String-replace origin detailed in COPYRIGHT.
  - <abstract> duplication fixed (SF Bug #1560164).
  - Spurious space fix.
  - Make the -B option actually work.


Release 0.2.2:
--------------

* BibTeX support.
  - Some bibliography databases can be specified in <?bibtex?>
  - A bibliography style can be specified in <?bibtex?>
  - A global style can be defined with the latex.biblio.style parameter
  - Options -L bib_path and -l bst_path added
  - Bibtex is automatically called when the file is compiled

* Table changes:
  - Longtables can be used to have formal tables across several pages. Use
    table.in.float=0 for this (Bug SF #1463054).
  - Automatic table width allowed with newtbl.autowidth={default|all}
  - Footnotes in tables are possible.
  - Basic programlisting/screen support in table.

* Other changes:
  - Better cited bibliography support.
  - Possible use of natbib citation styles (belgabor patch)
  - Better MathML entity mapping.
  - Footnote in programlisting possible.

* Bug fixes:
  - Fix about tilde translation.
  - Check if a title is numbered or not for TOC filtering.
  - Bug SF #1587091: link to formalpara (and refsection)
  - Bug SF #1600124: correct URI from pathname in XSL parameter file
  - Bug SF #1600441: handle image files with spaces in the path
  - Bug SF #1606166: verbatim in legalnotice
  - Catch a 'Rerun' asked by bibtopic or changebar packages
  - Xref to a formal table fixed
  - Escape characters in some biblio elements.
  - Glossary title fix.
  - Better MathML entity mapping.
  - Added calloutlist title.
  - Handles UTF-8 indexterms 
  - Fix anchor in glossterms
  - Extends unicode support (with passivetex packages). It is activated with
    latex.unicode.use=1
  - Handles callout list titles
  - Handles xref to a glossentry


Release 0.2.1:
--------------

* Python code improvements:
  - Use of codecs for better and systematic unicode support.
  - Extensible XSLT engines, loaded as plugins.
  - Option -m added to select the XSLT to use.
  - XSLT module using 4Suite (http://4suite.org) added.
  - Possibility to have user and/or system-wide configuration files.

* XSL improvements:
  - UTF-8 XML output.
  - Hexadecimal color like <?dblatex bgcolor="#cceeff"?> supported.
  - Named color like <?dblatex bgcolor="blue"?> supported.
  - lang.xsl: contains all lang stuff and calls the babel setup hook.
  - newtbl.xsl: @cellpadding used for horizontal padding.
  - pdf.annot.options parameter added to customize the PDF text annotation
    rendering (width, height, depth, title).
  - latex.class.book and latex.class.article parameters added to let user
    choose an alternative document class.

* Latex improvements:
  - Cleaner locale handling.
  - New latex commands to customize the babel setup.
  - Default babel setup for french.
  - Remark/comment rendered as PDF text annotations. Fixes Bug #374210 and
    allows remark in boxes/minipages like a note.

* Bug fixes:
  - Cross-references use of key() instead of id().
  - newtbl.xsl, xref.xsl: more conformant XSL code.
  - dbk_core.sty: use enumitem instead of enumerate (simple style).
  - biblio.xsl: bibliographic title fixed for an article (use of \refname).
  - dbtex.py: bug fix when both -Tstyle -Pparam are used.
  - legalnotice.xsl: bug shown by xsltproc-1.1.18 fixed.
  - graphic.xsl: escape graphic filenames.


Release 0.2:
------------

* Better osx(1) integration. The SDATA entities are translated to the equivalent
  Unicode characters.

* Better windows compatibility thanks to the Nicolas Pernetty's patches:
  - Use of a portable 'which' during the install dependency check.
  - Use of shutil instead of unix equivalent commands.
  - Portable TEXINPUTS variable setup.
  - Compatible figure path setup.
  - Compatible package paths.
  - Correct URI put in the customized XSL stylesheets.

* Better table support:
  - Verbatim (litterallayout, address, synopsis, classsynopsis) in tables
    now work.
  - Informaltable nesting is possible.
  - Basic <entrytbl> support.
  - Better @valign support.
  - Column, row and entry can be coloured in tables by using
    <?dblatex bgcolor="..."?>. The alternative hhline package can be used to
    have row lines properly printed (newtbl.use.hhline='1')
  - Basic support of @float and @floatstyle in <table>.

* Minor imageobject/figure improvements:
  - Basic support of @float and @floatstyle in <figure>.
  - Possibility to use imageobject/@role='dblatex' to select the image to
    process.
  - Alternative <imageobject>s in a <mediaobjectco> are supported (DocBook 5).
 
* Some cleanups and bug fixes.
  - latex compilation cycle bug fix.
  - logparser bug fix (rerun for table)
  - dbk_fonts.sty now contains the font setup
  - coref/@linkend fix.
  - user manual documentation reorganized
  - PDF manual installed in a proper way
  - Debian manpage added to the package and used in the dblatex manual
  - latex.figure.boxed parameter changed to imagedata.boxed
  - latex.figure.position parameter changed to figure.default.position
  - table.default.position added
  - table counter bug fix
  - <filename> in section title bug fix
  - mklistings.xsl: URI fix when the path contains some spaces
  - imagedata.py: robust to paths containing spaces
  - \vdots supported in MathML


Release 0.2pre:
---------------

* Major change: publishing code (except XSL) is re-written in Python. Perl,
  GNU make and shell scripts are no more used.

* Minor improvements:
  - list @continuation, @numeration, @spacing attributes now handled.
  - filename.as.url parameter added to avoid forced hyphenation with spurious
    '-' characters.

* Bug fixes:
  - <alt> not printed in verbatim mode, and only in <*equation> elements.
  - Entities &#8217; and &#8230; correctly mapped.
  - db2latex.sty, docbook.sty: uses \examplename (locale).
  - <uri>, <tag> defined.


Release 0.1.10:
---------------

* Minor improvements:
  - Special 'maxwidth' and 'maxheight' imagedata.default.scale setup added.
  - glossterm.auto.link={0|1} parameter added.
  - Add bookinfo spanish locale.

* Bug fixes:
  - Scripts handle correctly spaces in file paths (Debian bug [1]).
  - Itemize fix, to be compatible with french babel (Debian bug [2]).
  - Multiple copyrights correctly handled (Debian bug [3])
  - Latex files cleanup (remove pslatex, epsfig, etc. Debian bug [4]).
  - Several paragraphs correctly handled in table cells. 
  - Cross-references, like <xref> or <link>, correctly handled in table cells. 
  - <ulink> with URL containing the character '#' correctly handled in table
    cells. 


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=366721
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=374215
[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=374212
[4] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=376418


Release 0.1.9:
--------------

* Minor improvements:
  - make.year.ranges and the make.single.year.ranges parameters added.
  - equations without title are now latex equations (not formula in a float).
  - xref to <varlistentry> or <term> now works.
  - newtbl is updated and becomes the default table implementation used.
    It now handles some tricky cell spanning cases.

* Bug fix:
  - en.xml: chapter en appendix xref labelling fix.
  - de.xml: nested quotes fix.
  - dbk_hyper.sty: PDF compilation test fix (use of the package ifpdf).
  - texclean: <xt> parsing recoded to make it safer.
  - texclean: handle entities in table cells.
  - texclean: \pm added.
  - db2latex.sty: equation counter level fix (set to chapter instead of article)
  - bug fix about the text of a link to a <term> containing <ulink> or <link>
  - qandaset.xsl: wrong test to close a list
  - verbatimco.xsl, mklistings.xsl: correct identifier to listing
  - xref.xsl: escape characters of refname cross-reference 


Release 0.1.8:
--------------

* Minor improvements:
  - doc.alignment parameter added. It defines the text alignment for the whole
    document.
  - Better programlisting, screen support:
    inlinegraphic[@format='linespecific'] is handled.
  - The book or article wrapper inherits from the root element information.
  - Better newtbl table support: the case colwidth="1em+5*" is correctly handled.
  - xref to refnamediv is now possible.
  - imagedata.file.check parameter added. It checks if the referenced image file
    exists. If not, the mediaobject alternative (textobject) is used. Set to 1
    by default. (equation.[001-004])
  - titleabbrev.in.toc parameter added. When set to 1 the titleabbrev content
    is put in the TOC instead of the title. Set to 1 by default. (article.[004-005])
  - dblatex does not convert images when output is latex only.
  - GIF images are converted on the fly to PDF.
  - <emphasis role="underline"> is supported.
  - <trademark class="service"> is supported.
  - set.book.num parameter added. When the root element is a set, this
    parameter can be used to select the book to print. Set to 1 by default.
  - doc.lot.show parameter added, to ask for printing some LoTs. The value is
    a comma separated list that can contain "figure", "table", "equation",
    "example". The order of the names is the order of the LoTs.
    Example:
    doc.lot.show=figure,table asks for printing only the List of Figures and the
    List of Tables, in this order.
  - qandaset.defaultlabel parameter added to define a default label when the
    attribute is not defined. Default is 'number'.
  - <bibliolist> support.
  - Automatic biblioentry abbreviation used if <abbrev> and @id are not defined.
  - date removed from the native style cover page

* Bug fix:
  - COPYRIGHT: contains LGPL text to respect the Debian constraints
  - db2latex.sty: to have \RaggedRight working
  - dbk_graphic.sty: wrong \imgheight setting
  - sections.xsl: section level is now correct under an appendix within an
    article
  - mediaobject.xsl: imageobjectco is now handled when embedded in a
    mediaobject.
  - mediaobject.xsl: having both contentwidth="x%" and contentdepth="y%" is
    now possible. @entityref used before @fileref.
  - mediaobject.xsl: having @width or @depth and @scalefit=1 is now considered
    as if the image with its natural size is in a viewport defined by width
    and/or depth.
  - runlatex: compile twice to have the correct number of pages when there is an
    index.
  - docbook.sty: an index in an article is correctly handled.
  - lists.xsl: simplelist[@inline] bug fix. Weird vertical space removed
  - lists.xsl: list nesting depth is now checked, to prevent latex compilation
    crash. (orderedlist.004, orderedlist.005)
  - dbk_item.sty: include enumerate package to handle orderedlist/@numeration.
  - sgml2xml.pl: empty anchor element supported.
  - biblio.xsl: a default title bibliography is provided (part.001)
  - xref.xsl, labelid.xsl: the titles can now contain things like xref, link,
    anchor, inlinegraphic or inlinemediaobject.
  - common/<lang>.xml: replace some unicode values by latex equivalent.
  - qandaset.xsl: the list environment used for numbered <qandaentry>s was
    not properly used.
  - db2latex.sty, dbsimple.sty, docbook.sty: sidebar changed to an environment
    that can contain verbatim stuff. (lot.001)
  - xref.xsl: xref to a biblioentry is now the same as a citation

Release 0.1.7:
--------------

* Callout support:
  - <programlistingco> and <screenco> supported, even for external files.
  - <mediaobjectco> supported.

* Better <programlisting> or <screen> support:
  - External files (eg, in <textdata>) are handled.
  - literal.lines.showall parameter added, to remove the empty last
    lines, when set to 0. Set by default to 1.

* Legalnotices are printed in the native docbook style.

* An abstract in an article is printed.

* Better <xref> support:
  - <xref> to a list with a title is possible.
  - <xref> to a refentry is possible.

* Other improvements:
  - term.breakline parameter added to have the <listitem> on a new line below
    the <term>.
  - Hyphenation forced for text using a typewriter font. Moreover the font is
    smaller.
  - doc.publisher.show parameter added, to print the dblatex logo on the cover
    page.
  - doc.pdfcreator.show parameter added, to have the fill the Creator field in
    PDF information section.
  - Running dblatex on a root element different from article or book does not
    fail anymore, except for <set>.

* Bug fixes:
  - dbk_table.sty: make \@xmultirow long.
  - sgml2xml.pl: empty textdata element handled.

Release 0.1.6:
--------------

* Better <figure> and <informalfigure> rendering:
  - consistent behaviour, where captions and title are printed separately.
  - possibility to ask for title below or above the image (parameter
    figure.title.top).
  - possibility to change the caption style (parameter
    mediaobject.caption.style).
  - imagedata.default.scale parameter added to have a default scaling rule
    applied on every imagedata that contains no scaling attribute. In particular
    when set to 'pagebound' the images keep their natural size up to the page
    boundaries.

* Better <programlisting> and <screen> rendering, thanks to the listings.sty
  package possibilities:
  - all the attributes are supported.
  - a default rendering layout is proposed.
  - long lines are wrapped.
  - literal.width.ignore parameter added.
  - literal.layout.options parameter added to overwrite the default verbatim
    style.

* Minor improvements:
  - seg.item.separator parameter added to let the user choose the separator
    between several <segitem>s.
  - a breakline is forced after a <term> when it is followed by a list.
  - caption position can be choosed for tables (parameter table.title.top).
  - \nopagebreak put after list titles.
  - a FAQ section (quite small for the moment) added to the manual.
  - bibtopic.sty provided for convenience.

* Bug fixes:
  - texclean: caret ('^') handled correctly
  - texclean: bug in removing extra breaklines
  - texclean: table header parsed correctly
  - dblatex: compilation with some parameters (option -P) on a doc using MathML
    fails.
  - biblio.xsl: biblioentry/edition escaping done.
  - inlined.xsl: <errortext> added.
  - inlined.xsl: the arrow separating <guimenu> and <guimenuitem> is changed
    to a real LaTeX arrow.
  - misc.xsl: removing unexpected latex package inclusion (a4wide).
  - dbk_biblio.sty: removing unexpected latex package inclusion (fancyhdr).
  - lists.xsl: <term> is more robust, with the <term> content enclosed by { }.

Release 0.1.5:
--------------

* dblatex supports the new option -T <target_style>. It specifies which
  latex style is to be used for format the output. The default available
  latex styles are:
  - simple: the rendering is very close to original latex rendering
  - native: the rendering is the original rendering used to produce the
    manual (default one)
  - db2latex: the rendering tries to be as close as possible to the
    DB2LaTeX formatting.

* The configure script can select the default latex style to use with the
  option --target:
  Example:
  ./configure --prefix=/where/to/install --target=simple

* The use of make instead of gmake is now detected by configure.

* Other changes:
  - possibility to define the figures to use in admonitions,
  - \textregistered and \copyright robustness improved,
  - <legalnotice> support,
  - <footnote> support improved: it can be used in <term>s and in <title>s,
  - better <subscript> and <superscript> support,
  - <caption> in <mediaobject> is displayed (when <figure> not used)
  - <pubdate> and <copyright> mapped to latex macros
  - <xref> works in <term>s
  - parameter latex.class.options added
  - texclean optimisation, to convert a figure only once
  - bug fix in specread (XslParam parsing)
  - native table improvement (support any size units)

Release 0.1.5pre:
-----------------

* Any document language should be well supported, since babel is now included
  for the related language.

* Some latex rendering aspects are removed from the XSL stylesheets (they should
  never have been in these stylesheets): \parindent value, \parskip value,
  \thispagestyle{fancy} for pages containing chapters.

* The following XSL parameters are added:
  - latex.babel.use={0|1(default)}: set to 0 the babel package is not included
    whatever the document language is.
  - latex.babel.language: empty by default, this parameter forces the use of
    the specified babel language whatever the document language is.
  - newtbl.use={0(default)|1}: set to one use the David Hedley table support
    (very good and no Perl parsing needed).

* New table support, completely re-written by David Hedley. One can use this
  new XSL table code by setting the parameter newtbl.use=1.

* XML source files with any extension are correctly handled. Previously one
  needed to give XML files with extension .xml.

* &ndash; and &mdash; entities support (texclean).

* Bug fixes:
  - <indexterm> were not put under their alphabetical letter.
  - <indexterm> special characters '@', '!', '|' correctly handled.
  - <personname> is now supported.
  - <ulink> URL hyphenation is now correctly handled.
  - <ulink> without text is correctly handled (use of @url content).
  - template "scape" was defined twice (it fails with recent xsltproc).
  - <refentrytitle> and <refname> correctly handled.
  - patch for colortbl package bug (latex/3797)
